import React from 'react';
import type { Hit } from 'instantsearch.js';
import type { SendEventForHits } from 'instantsearch.js/es/lib/utils';
export type HitsProps<THit> = React.ComponentProps<'div'> & {
    hits: THit[];
    sendEvent: SendEventForHits;
    hitComponent?: React.JSXElementConstructor<{
        hit: THit;
        sendEvent: SendEventForHits;
    }>;
    classNames?: Partial<HitsClassNames>;
};
export type HitsClassNames = {
    /**
     * Class names to apply to the root element
     */
    root: string;
    /**
     * Class names to apply to the root element without results
     */
    emptyRoot: string;
    /**
     * Class names to apply to the list element
     */
    list: string;
    /**
     * Class names to apply to each item element
     */
    item: string;
};
export declare function Hits<THit extends Hit>({ hits, sendEvent, hitComponent: HitComponent, classNames, ...props }: HitsProps<THit>): JSX.Element;
